//---------------------------------------------------------------------------

#ifndef Rf25xTestUnitH
#define Rf25xTestUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CSPIN.h"
#include <ExtCtrls.hpp>
#pragma link "rf25x.lib"
#include "RF25x.h"
//---------------------------------------------------------------------------
class TRF25xTestForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TGroupBox *PortGroupBox;
        TLabel *Label2;
        TLabel *Label3;
        TEdit *COMNameEdit;
        TComboBox *COMSpeedComboBox;
        TButton *ConnectButton;
        TGroupBox *DeviceGroupBox;
        TLabel *DeviceInfoLabel;
        TLabel *DevModLabel;
        TLabel *DevSerialLabel;
        TLabel *DevMaxDistLabel;
        TLabel *DevRangeLabel;
        TGroupBox *MeasureGroupBox;
        TLabel *MeasureLabel;
        TLabel *Label4;
        TButton *LockResultButton;
        TButton *MeasureButton;
        TCSpinEdit *DevCSpinEdit;
        TButton *StartStreamButton;
        TButton *StopStreamButton;
        TTimer *MeasureTimer;
        void __fastcall ConnectButtonClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall MeasureButtonClick(TObject *Sender);
        void __fastcall LockResultButtonClick(TObject *Sender);
        void __fastcall StartStreamButtonClick(TObject *Sender);
        void __fastcall StopStreamButtonClick(TObject *Sender);
        void __fastcall MeasureTimerTimer(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TRF25xTestForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TRF25xTestForm *RF25xTestForm;
//---------------------------------------------------------------------------
#endif
