// TestDLL_RF25x.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <conio.h>
#include "RF25x.h"

int main(int argc, char* argv[])
{

	HANDLE				hRF25x			= INVALID_HANDLE_VALUE;
	DWORD				dwValue;
	USHORT				usMeasured;
	RF25xHELLOANSWER	hlans;


	memset(&hlans, 0x00, sizeof(RF25xHELLOANSWER));

	RF25x_OpenPort("COM1:", CBR_115200, &hRF25x);


	if (RF25x_HelloCmd( hRF25x, 1, &hlans ))
	{

		printf("Dev modify\t: %d\r\nDev type\t: %d\r\nDev max dist\t: %d\r\nDev range\t: %d\r\nDev serial\t: %d\r\n",		
						hlans.bDeviceModificaton, 
						hlans.bDeviceType, 
						hlans.wDeviceMaxDistance, 
						hlans.wDeviceRange, 
						hlans.wDeviceSerial
						);

		RF25x_ReadParameter( hRF25x, 1, RF25x_PARAMETER_DATUM_POINT, &dwValue );

		printf("Datum point\t: %d\r\n", dwValue);

		dwValue = 0;

		RF25x_Measure( hRF25x, 1, &dwValue );

		printf("Measure\t\t: %d\r\n", dwValue);
	}


	RF25x_ClosePort( hRF25x );

	_getch();

	return 0;
}

